<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: jpeg_progress_mgr Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structjpeg__progress__mgr-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">jpeg_progress_mgr Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aa6fbc36158dd82f586d752f976ad7fa3"><td class="memItemLeft" align="right" valign="top"><a id="aa6fbc36158dd82f586d752f976ad7fa3"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>JMETHOD</b> (void, progress_monitor,(<a class="el" href="structjpeg__common__struct.html">j_common_ptr</a> cinfo))</td></tr>
<tr class="separator:aa6fbc36158dd82f586d752f976ad7fa3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ae52d1c89154d3f15ea44f96ee1c4ea7f"><td class="memItemLeft" align="right" valign="top"><a id="ae52d1c89154d3f15ea44f96ee1c4ea7f"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>pass_counter</b></td></tr>
<tr class="separator:ae52d1c89154d3f15ea44f96ee1c4ea7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68ec6ba74838f7b2b8ded8d4c8254c1d"><td class="memItemLeft" align="right" valign="top"><a id="a68ec6ba74838f7b2b8ded8d4c8254c1d"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>pass_limit</b></td></tr>
<tr class="separator:a68ec6ba74838f7b2b8ded8d4c8254c1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0cf4c1c84b2662763053e0eeaca417f3"><td class="memItemLeft" align="right" valign="top"><a id="a0cf4c1c84b2662763053e0eeaca417f3"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>completed_passes</b></td></tr>
<tr class="separator:a0cf4c1c84b2662763053e0eeaca417f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35d61747861f284526a9b312b3dc59ca"><td class="memItemLeft" align="right" valign="top"><a id="a35d61747861f284526a9b312b3dc59ca"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>total_passes</b></td></tr>
<tr class="separator:a35d61747861f284526a9b312b3dc59ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="jpeglib_8h_source.html">jpeglib.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
